# Uses of Class
org.pentaho.reporting.libraries.resourceloader.ResourceManager

Packages that use ResourceManager
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.factory
org.pentaho.reporting.libraries.resourceloader.factory.image
org.pentaho.reporting.libraries.resourceloader.factory.property
org.pentaho.reporting.libraries.resourceloader.loader
org.pentaho.reporting.libraries.resourceloader.loader.file
org.pentaho.reporting.libraries.resourceloader.loader.raw
org.pentaho.reporting.libraries.resourceloader.loader.resource
org.pentaho.reporting.libraries.resourceloader.loader.zip
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg
org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceManager
Modifier and Type
Method
Description
`ResourceManager`
ResourceBundleData.`deriveManager(ResourceManager parent)`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceManager
Modifier and Type
Method
Description
`Resource`
DefaultResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData data, ResourceKey context, Class[] target)`
`Resource`
ResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
Creates a resource by interpreting the data given in the resource-data object.
`Resource`
ResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData key, ResourceKey context, Class[] target)`
`ResourceManager`
ResourceBundleData.`deriveManager(ResourceManager parent)`
`static ResourceKey`
ResourceKeyUtils.`embedResourceInKey(ResourceManager manager, ResourceKey source, Map factoryParameters)`
Returns a new ResourceKey with the specified source resource embedded inside as a byte []
`byte[]`
ResourceData.`getResource(ResourceManager caller)`
This is dangerous, especially if the resource is large.
`int`
ResourceData.`getResource(ResourceManager caller, byte[] target, long offset, int length)`
Tries to read data into the given byte-array.
`InputStream`
ResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
ResourceData.`getVersion(ResourceManager caller)`
`boolean`
DefaultResourceManagerBackend.`isResourceUnchanged(ResourceManager frontEnd, Resource resource)`
`boolean`
ResourceManagerBackend.`isResourceUnchanged(ResourceManager resourceManager, Resource resource)`
`ResourceBundleData`
ResourceBundleLoader.`loadBundle(ResourceManager resourceManager, ResourceKey key)`
Tries to load the bundle.
`ResourceData`
DefaultResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
`ResourceData`
ResourceManagerBackend.`loadRawData(ResourceManager frontEnd, ResourceKey key)`
`ResourceBundleData`
DefaultResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`
Tries to find the first resource-bundle-loader that would be able to process the key.
`ResourceBundleData`
ResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`
`static ResourceKey`
ResourceKeyUtils.`toResourceKey(Object value, ResourceManager resourceManager, ResourceKey contextKey, Map parameters)`
Performs a simple attempt at a "smart" conversion to a ResourceKey.
Constructors in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceManager
Modifier
Constructor
Description
``
`ResourceManager(ResourceManager parent, ResourceManagerBackend backend)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.cache

Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceManager
Modifier and Type
Method
Description
`ResourceManager`
CachingResourceBundleData.`deriveManager(ResourceManager parent)`
Methods in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceManager
Modifier and Type
Method
Description
`ResourceManager`
CachingResourceBundleData.`deriveManager(ResourceManager parent)`
`byte[]`
CachingResourceBundleData.`getResource(ResourceManager caller)`
`int`
CachingResourceBundleData.`getResource(ResourceManager caller, byte[] target, long offset, int length)`
`byte[]`
CachingResourceData.`getResource(ResourceManager caller)`
`int`
CachingResourceData.`getResource(ResourceManager caller, byte[] target, long offset, int length)`
`InputStream`
CachingResourceBundleData.`getResourceAsStream(ResourceManager caller)`
`InputStream`
CachingResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
CachingResourceBundleData.`getVersion(ResourceManager caller)`
`long`
CachingResourceData.`getVersion(ResourceManager caller)`
`ResourceBundleData`
NullResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
`ResourceData`
NullResourceDataCache.`put(ResourceManager caller, ResourceData data)`
`ResourceBundleData`
ResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
Stores the given data on the cache.
`ResourceData`
ResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.
Constructors in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceManager
Modifier
Constructor
Description
``
`DefaultResourceBundleDataCacheEntry(ResourceBundleData data, ResourceManager manager)`
``
`DefaultResourceDataCacheEntry(ResourceData data, ResourceManager manager)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.factory

Methods in org.pentaho.reporting.libraries.resourceloader.factory with parameters of type ResourceManager
Modifier and Type
Method
Description
`int`
AbstractFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
FactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
AbstractResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
`Resource`
FactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.factory.image

Methods in org.pentaho.reporting.libraries.resourceloader.factory.image with parameters of type ResourceManager
Modifier and Type
Method
Description
`Resource`
GIFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
JPEGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
PNGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.factory.property

Methods in org.pentaho.reporting.libraries.resourceloader.factory.property with parameters of type ResourceManager
Modifier and Type
Method
Description
`Resource`
PropertiesResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.loader

Methods in org.pentaho.reporting.libraries.resourceloader.loader with parameters of type ResourceManager
Modifier and Type
Method
Description
`byte[]`
AbstractResourceData.`getResource(ResourceManager caller)`
`int`
AbstractResourceData.`getResource(ResourceManager caller, byte[] target, long offset, int length)`
`InputStream`
URLResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
URLResourceData.`getVersion(ResourceManager caller)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.loader.file

Methods in org.pentaho.reporting.libraries.resourceloader.loader.file with parameters of type ResourceManager
Modifier and Type
Method
Description
`InputStream`
FileResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
FileResourceData.`getVersion(ResourceManager caller)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.loader.raw

Methods in org.pentaho.reporting.libraries.resourceloader.loader.raw with parameters of type ResourceManager
Modifier and Type
Method
Description
`byte[]`
RawResourceData.`getResource(ResourceManager caller)`
`int`
RawResourceData.`getResource(ResourceManager caller, byte[] target, long offset, int length)`
Tries to read data into the given byte-array.
`InputStream`
RawResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
RawResourceData.`getVersion(ResourceManager caller)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.loader.resource

Methods in org.pentaho.reporting.libraries.resourceloader.loader.resource with parameters of type ResourceManager
Modifier and Type
Method
Description
`InputStream`
ClassloaderResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
ClassloaderResourceData.`getVersion(ResourceManager caller)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.loader.zip

Methods in org.pentaho.reporting.libraries.resourceloader.loader.zip with parameters of type ResourceManager
Modifier and Type
Method
Description
`InputStream`
ZipResourceData.`getResourceAsStream(ResourceManager caller)`
`long`
ZipResourceData.`getVersion(ResourceManager caller)`
Constructors in org.pentaho.reporting.libraries.resourceloader.loader.zip with parameters of type ResourceManager
Modifier
Constructor
Description
``
`ZipEntryKey(ResourceManager manager, File zipFile, String entryName)`
``
`ZipEntryKey(ResourceManager manager, String zipFile, String entryName)`
``
`ZipEntryKey(ResourceManager manager, URL zipFile, String entryName)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache with parameters of type ResourceManager
Modifier and Type
Method
Description
`ResourceBundleData`
EHResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
`ResourceData`
EHResourceDataCache.`put(ResourceManager caller, ResourceData data)`
Stores the given data on the cache.

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio with parameters of type ResourceManager
Modifier and Type
Method
Description
`int`
ImageIOFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
ImageIOFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg with parameters of type ResourceManager
Modifier and Type
Method
Description
`int`
WrapperSVGDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperSVGImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
SVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
SVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceManager in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf with parameters of type ResourceManager
Modifier and Type
Method
Description
`int`
WrapperWMFDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperWMFImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
WMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`